// define pin names
Out0	BIT	PB.0;
Out1	BIT	PB.1;
Out2	BIT	PB.2;
Out3	BIT	PB.3;
Out4	BIT	PB.4;
Out5	BIT	PB.5;
Out6	BIT	PB.6;
Out7	BIT	PB.7;

// FPPA0 is started first
void	FPPA0 (void)
{
	.ADJUST_IC	SYSCLK=IHRC/2, IHRC=16MHz, VDD=5V, Bandgap=On;

	// set pins to output
	$	Out0	High, Out;
	$	Out1	High, Out;
	$	Out2	High, Out;
	$	Out3	High, Out;
	$	Out4	High, Out;
	$	Out5	High, Out;
	$	Out6	High, Out;
	$	Out7	High, Out;

	// see datasheet "pmode": FPPA duty cycle, 1/8 for all 8 FPPAs
	pmode 31;

	// enable all FPPAs
	fppen = 0xFF;

	// generate test output
	while (1) {
		Out0 = 0;
		.delay 1;
		Out0 = 1;
		.delay 1;
	}
}

void	FPPA1 (void)
{
	// generate test output
	while (1) {
		Out1 = 0;
		.delay 10;
		Out1 = 1;
		.delay 10;
	}
}

void	FPPA2 (void)
{
	// generate test output
	while (1) {
		Out2 = 0;
		.delay 100;
		Out2 = 1;
		.delay 100;
	}
}

void	FPPA3 (void)
{
	// generate test output
	while (1) {
		Out3 = 0;
		.delay 1000;
		Out3 = 1;
		.delay 1000;
	}
}

void	FPPA4 (void)
{
	// generate test output
	while (1) {
		Out4 = 0;
		.delay 10000;
		Out4 = 1;
		.delay 10000;
	}
}

void	FPPA5 (void)
{
	// generate test output
	while (1) {
		Out5 = 0;
		.delay 100000;
		Out5 = 1;
		.delay 100000;
	}
}

void	FPPA6 (void)
{
	// generate test output
	while (1) {
		Out6 = 0;
		.delay 1000000;
		Out6 = 1;
		.delay 1000000;
	}
}

void	FPPA7 (void)
{
	// generate test output
	while (1) {
		Out7 = 0;
		.delay 10000000;
		Out7 = 1;
		.delay 10000000;
	}
}

/*
void	Interrupt (void)
{
	pushaf;

	if (Intrq.T16)
	{	//	T16 Trig
		//	User can add code
		Intrq.T16	=	0;
		//...
	}

	popaf;
}

*/
